﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;



namespace TreeViewAdv
{
    /// <summary>
    /// Lógica de interacción para MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ModeloVista modeloVista = new ModeloVista();

        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = modeloVista;

            var u1 = new ElementoUniverso() { Nombre = "Level 1" };
            var f1 = new ElementoFuente() { Nombre = "Level 1.1" };
            var f2 = new ElementoFuente() { Nombre = "Level 1.2" };

            var i1 = new ElementoIndicador() { Nombre = "Level 1.1.1" };

            f1.Indicadores.Add(i1);

            u1.Fuentes.Add(f1);
            u1.Fuentes.Add(f2);

            modeloVista.Datos.Add(u1);

            modeloVista.ElementoSeleccionado = u1;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Arbol.ClearSelection();

            // Work it.
            var fuentes = ((ElementoUniverso)modeloVista.Datos[0]).Fuentes;

            var d = new ElementoFuente() { Nombre = $"Level 1.{fuentes.Count + 1}" };
            fuentes.Add(d);

            modeloVista.ElementoSeleccionado = d;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.Arbol.ClearSelection();
            
            // Not working.
            
            var indicadores = ((ElementoUniverso)modeloVista.Datos[0]).Fuentes[0].Indicadores;

            var d = new ElementoIndicador() { Nombre = $"Level 1.1.{indicadores.Count + 1}" };
            indicadores.Add(d);

            modeloVista.ElementoSeleccionado = d;
        }
    }
}
